Type to search.

Get workflows

Base URL
https://{kibana_url}
  • GET /api/workflows
  • GET /s/{space_id}/api/workflows
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 9.4 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Retrieve a paginated list of workflows with optional filtering.

Required privileges

Privileges workflowsManagement:read. Extended privileges (optional, expand functionality when granted): workflowsManagement:managed:read, workflowsManagement:readExecution, workflowsManagement:managed:readExecution

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Query parameters

query string · max length: 4096

Free-text search query.

size number · min: 1 · max: 10000

Number of results per page.

page number · min: 1

Page number.

enabled boolean[] · max items: 2

Filter by enabled state.

createdBy string[] · max items: 1000

Filter by creator.

tags string[] · max items: 1000

Filter by tags.

managed enum

Filter by managed status. Defaults to "unmanaged".

Values: all managed unmanaged
visibilityContext string[] · max items: 1000

When managed workflows are included, only return managed workflows visible in these contexts.

sortField enum

Field to sort by.

Values: name enabled
sortOrder enum

Sort direction.

Values: asc desc

Response

200

Indicates a successful response

application/json